# Modified from https://github.com/undiabler/nord-rofi-theme
let colors = import ../colors; in
''
configuration {
  font: "Noto Sans Mono 12";
	width: 30;
	line-margin: 10;
	lines: 6;
	columns: 2;

  display-ssh:    "";
  display-run:    "";
  display-drun:   "";
  display-window: "";
  display-combi:  "";
  show-icons:     true;
}

* {
  background-color: transparent;
  highlight: underline bold ${colors.fg1};
}

window {
  location: center;
  anchor: center;
  transparency: "screenshot";
  padding: 0px;
  border: 0px;
  border-radius: 0px;

  spacing: 0;
  children: [mainbox];
  orientation: horizontal;
}

mainbox {
  spacing: 0;
  children: [ inputbar, message, listview ];
}

message {
  color: ${colors.bg0};
  padding: 5;
  border-color: ${colors.fg0};
  border:  0px 2px 2px 2px;
}

inputbar {
  color: ${colors.fg0};
  padding: 11px;
  background-color: ${colors.bg1};
}

entry, prompt, case-indicator {
  text-font: inherit;
  text-color: inherit;
}

prompt {
  margin: 0px 0.3em 0em 0em;
}

listview {
  padding: 8px;
  border: 0;
  background-color: ${colors.bg0}e5;
  dynamic: false;
}

element {
  padding: 3px;
  border-radius: 4px;
  text-color: ${colors.fg0};
}

element selected.normal {
	background-color: ${colors.primary};
	text-color: ${colors.bg0};
}

element-text, element-icon {
  background-color: inherit;
  text-color: inherit;
}
''
